# XiaoHongShuconfigure

##
searchXiaoHongShu [xhs-cli](https://github.com/jackwener/xiaohongshu-cli)⭐1.5Kpipx install

##
- Python 3.10+pipx install
- xiaohongshu.com Cookie

## Agent Done

### 1. install xhs-cli
```bash
pipx install xiaohongshu-cli
```

### 2. Cookie
```bash
xhs login
```

> CookieFailed

### 3.
```bash
agent-search doctor
```

XiaoHongShu ✅

## user

 `xhs login` Failed cookies

> **Cookie-Editor **
>
> 1. Chrome install [Cookie-Editor](https://chromewebstore.google.com/detail/cookie-editor/hlkenndednhfkekhgcdicdfddnkalmdm) 
> 2. xiaohongshu.com
> 3. Cookie-Editor → Export → Header String
> 4. AgentRun`agent-search configure xhs-cookies cookie`
>
> **** QR Cookie-Editor 

##

search
```bash
xhs search 
```


```bash
xhs read NOTE_ID
```

comments
```bash
xhs comments NOTE_ID
```

##

**Q: Cookie **
A: Run `xhs login` Cookie-Editor 

**Q: XiaoHongShu IP **
A: proxy`export HTTP_PROXY=http://user:pass@ip:port`

**Q: xhs-cli **
A: Python 3.10+ pipx installRun `pipx install xiaohongshu-cli` 

## Docker MCP

 [xiaohongshu-mcp](https://github.com/xpzouying/xiaohongshu-mcp) Docker OK

```bash
docker run -d \
  --name xiaohongshu-mcp \
  -p 18060:18060 \
  xpzouying/xiaohongshu-mcp

mcporter config add xiaohongshu http://localhost:18060/mcp
```

xhs-cli Dockerinstall
